curl -X PUT https://api2.ecomailapp.cz/tracker/transaction/transaction_1234 \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transaction": {
"order_id": "transaction_1234",
"email": "foo@bar.cz",
"shop": "myshop.cz",
"amount": 1500,
"tax": 200,
"shipping": 100,
"city": "Praha",
"timestamp": 1441905935,
"status": "completed"
},
"transaction_items": [
{
"code": "product code",
"title": "product name",
"categories": ["my category 1", "my category 2"],
"price": 1500,
"amount": 1,
"tags": ["M", "3+", "puzzle"]
}
]
}'
$orderId = 'transaction_1234';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/tracker/transaction/{$orderId}");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PUT');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'transaction' => [
'order_id' => 'transaction_1234',
'email' => 'foo@bar.cz',
'shop' => 'myshop.cz',
'amount' => 1500,
'tax' => 200,
'shipping' => 100,
'city' => 'Praha',
'timestamp' => 1441905935,
'status' => 'completed',
],
'transaction_items' => [
[
'code' => 'product code',
'title' => 'product name',
'categories' => ['my category 1', 'my category 2'],
'price' => 1500,
'amount' => 1,
'tags' => ['M', '3+', 'puzzle'],
],
],
]));
$response = curl_exec($ch);
curl_close($ch);
{}
Transactions
Update a transaction
Overwrite an existing transaction with new data.
PUT
/
tracker
/
transaction
/
{order_id}
curl -X PUT https://api2.ecomailapp.cz/tracker/transaction/transaction_1234 \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transaction": {
"order_id": "transaction_1234",
"email": "foo@bar.cz",
"shop": "myshop.cz",
"amount": 1500,
"tax": 200,
"shipping": 100,
"city": "Praha",
"timestamp": 1441905935,
"status": "completed"
},
"transaction_items": [
{
"code": "product code",
"title": "product name",
"categories": ["my category 1", "my category 2"],
"price": 1500,
"amount": 1,
"tags": ["M", "3+", "puzzle"]
}
]
}'
$orderId = 'transaction_1234';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/tracker/transaction/{$orderId}");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PUT');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'transaction' => [
'order_id' => 'transaction_1234',
'email' => 'foo@bar.cz',
'shop' => 'myshop.cz',
'amount' => 1500,
'tax' => 200,
'shipping' => 100,
'city' => 'Praha',
'timestamp' => 1441905935,
'status' => 'completed',
],
'transaction_items' => [
[
'code' => 'product code',
'title' => 'product name',
'categories' => ['my category 1', 'my category 2'],
'price' => 1500,
'amount' => 1,
'tags' => ['M', '3+', 'puzzle'],
],
],
]));
$response = curl_exec($ch);
curl_close($ch);
{}
This endpoint overwrites the entire order with the new data from the request.
Timestamps are saved and returned in UTC+0.
string
required
Order ID of the transaction to update.
object
required
Transaction details. Same structure as the Create a transaction endpoint.
Show transaction properties
Show transaction properties
string
required
Your unique transaction ID.
string
required
Subscriber’s email address.
string
Name of your shop.
number
Total amount including tax and shipping.
number
Tax amount only.
number
Shipping amount only.
string
Delivery city.
string
Delivery county.
string
Delivery country.
integer
Unix timestamp of the transaction.
string|object
Optional properties, used in conditionals.
string
Transaction status. Accepted values:
processing, canceled, pending, completed, null.array
required
Array of transaction items. Same structure as the Create a transaction endpoint.
curl -X PUT https://api2.ecomailapp.cz/tracker/transaction/transaction_1234 \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transaction": {
"order_id": "transaction_1234",
"email": "foo@bar.cz",
"shop": "myshop.cz",
"amount": 1500,
"tax": 200,
"shipping": 100,
"city": "Praha",
"timestamp": 1441905935,
"status": "completed"
},
"transaction_items": [
{
"code": "product code",
"title": "product name",
"categories": ["my category 1", "my category 2"],
"price": 1500,
"amount": 1,
"tags": ["M", "3+", "puzzle"]
}
]
}'
$orderId = 'transaction_1234';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/tracker/transaction/{$orderId}");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PUT');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'transaction' => [
'order_id' => 'transaction_1234',
'email' => 'foo@bar.cz',
'shop' => 'myshop.cz',
'amount' => 1500,
'tax' => 200,
'shipping' => 100,
'city' => 'Praha',
'timestamp' => 1441905935,
'status' => 'completed',
],
'transaction_items' => [
[
'code' => 'product code',
'title' => 'product name',
'categories' => ['my category 1', 'my category 2'],
'price' => 1500,
'amount' => 1,
'tags' => ['M', '3+', 'puzzle'],
],
],
]));
$response = curl_exec($ch);
curl_close($ch);
{}
⌘I